org.apache.sling.bgservlets.impl.servlets

## Class BackgroundTestServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - org.apache.sling.api.servlets.SlingSafeMethodsServlet
    - - org.apache.sling.api.servlets.SlingAllMethodsServlet
      - - org.apache.sling.bgservlets.impl.servlets.BackgroundTestServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @Service
    @Property(name="sling.servlet.paths",
              value="/system/bgservlets/test")
    public class BackgroundTestServlet
    extends org.apache.sling.api.servlets.SlingAllMethodsServlet

Servlet used for interactive testing of the background servlets engine. TODO remove once we have better tests.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BackgroundTestServlet()`

### Method Summary

Methods
`protected void` `doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`
`protected void` `doPost(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingAllMethodsServlet

`doDelete, doPut, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BackgroundTestServlet

    public BackgroundTestServlet()

### Method Detail

#### doPost

    protected void doPost(org.apache.sling.api.SlingHttpServletRequest request,
              org.apache.sling.api.SlingHttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

Overrides:
  `doPost` in class `org.apache.sling.api.servlets.SlingAllMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### doGet

    protected void doGet(org.apache.sling.api.SlingHttpServletRequest request,
             org.apache.sling.api.SlingHttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`